Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`ssl`.`OpenSSLDefaultPaths``

class documentation

`class OpenSSLDefaultPaths: (source)`

Implements interfaces: `twisted.internet._sslverify.IOpenSSLTrustRoot`

View In Hierarchy

Trust the set of default verify paths that OpenSSL was built with, as specified by SSL_CTX_set_default_verify_paths.

Method | `_addCACertsToContext` | Add certificate-authority certificates to an SSL context whose connections should trust those authorities.

def _addCACertsToContext(self, context): (source)
from `twisted.internet._sslverify.IOpenSSLTrustRoot`

Add certificate-authority certificates to an SSL context whose connections should trust those authorities.

Parameters
context:`OpenSSL.SSL.Context` | An SSL context for a connection which should be verified by some certificate authority.
Returns
`None`